#ifndef __Mt_Expand_H__
#define __Mt_Expand_H__

#include "../../../filters/morphologic/filter.h"

namespace MaskTools { namespace Filters { namespace Morphologic { namespace Expand {

class Filter : public Morphologic::Filter
{
public:
   Filter(const Parameters::Parameters&parameters);
   static String getName();
   static Parameters::Signature getSignature();
};

extern Processor *expand_square_c;
extern Processor *expand8_isse;
extern Processor *expand8_3dnow;

extern Processor *expand_horizontal_c;
extern Processor *expand_vertical_c;
extern Processor *expand_both_c;

extern Processor *expand_custom_c;

} } } }

#endif