#include "filter.h"

using namespace MaskTools;

void MaskTools::Filters::Merge::merge_c(Byte *pDst, int nDstPitch, const Byte *pSrc1, int nSrc1Pitch,
                                        const Byte *pSrc2, int nSrc2Pitch, int nWidth, int nHeight)
{
   for ( int y = 0; y < nHeight; y++ )
   {
      for ( int x = 0; x < nWidth; x++ )
         pDst[x] = (int(pSrc2[x]) * pDst[x] + (256 - int(pSrc2[x])) * pSrc1[x] + 128) >> 8;
      pDst += nDstPitch;
      pSrc1 += nSrc1Pitch;
      pSrc2 += nSrc2Pitch;
   }
}