#ifndef __Mt_HelpersForms_H__
#define __Mt_HelpersForms_H__

#include "../../common/common.h"

namespace MaskTools { namespace Helpers { namespace Forms {

typedef String (RadiusForm)(int nRadius);
typedef String (BiRadiusForm)(int nHorizontalRadius, int nVerticalRadius);

RadiusForm CircleToString;
RadiusForm SquareToString;
RadiusForm DiamondToString;
BiRadiusForm RectangleToString;
BiRadiusForm LosangeToString;
BiRadiusForm EllipseToString;

} } }

#endif